Subject: Re: [bug#30390] [PATCH 0/3] Update cmake.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 27 Feb 2018 18:20:33 +0100

Marius Bakke <[email-masked]> skribis:

> Arun Isaac <[email-masked]> writes:
>
>> Test 92 of tar 1.30 fails on my system. I had to disable tar tests to get my
>> cmake to build. I am not entirely sure if the test failure has got something
>> to do with insufficient memory on my system. So, I'd like somebody to
>> reproduce the problem before patching it.
>
> That test fails on one of my build nodes with 64GB RAM as well.
>
> There is a bug report about it upstream:
> <https://lists.gnu.org/archive/html/bug-tar/2017-12/msg00026.html>.

I hadn’t seen your message and worked around it in a crude way:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?h=core-updates&id=ad2e1422783000dd4224eab155ce532888aaef0b

The patch proposed on bug-tar seems to make sense because it fixes the
order of files in the archive.

Ludo’.